Find Chat
const url = 'https://api.linqapp.com/api/partner/v2/chats/find?phone_number=%2B12052761148&phone_numbers%5B%5D=%2B12055426109';const options = { method: 'GET', headers: {'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.linqapp.com/api/partner/v2/chats/find?phone_number=%2B12052761148&phone_numbers%5B%5D=%2B12055426109' \ --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>'Finds a chat by phone numbers. Specify your Linq number via ‘phone_number’ and the participant(s) you want to find a chat with via ‘phone_numbers[]’. Returns the first matching chat.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Example
+12052761148Your Linq number (the phone number you’re searching from)
Example
[ "+12055426109"]Array of phone numbers to find a chat with. Can be a single number or multiple numbers to find a group chat.
Responses
Section titled “ Responses ”Successful response
object
When chat is found
object
object
The display name for the chat. Returns a manually set group name if present, otherwise a comma-separated list of participant names/phone numbers.
The messaging service used for this chat
Whether this is a group chat
Number of messages in the chat. For newly created chats, this will be 1 (the initial message). For existing chats, this could be any number.
object
The phone number or email identifier for this participant
The messaging service for this handle
When chat is not found
object
object
Examples
Chat found
{ "data": { "chat": { "id": 45, "display_name": "John Doe", "service": "iMessage", "group": false, "message_count": 15, "chat_handles": [ { "id": 123, "phone_number": "+15551234567", "service": "iMessage", "joined_at": "2025-05-21T15:30:00.000-05:00" }, { "id": 124, "phone_number": "+15559876543", "service": "iMessage", "joined_at": "2025-05-21T15:30:00.000-05:00" } ] } }}Chat not found
{ "data": { "chat": null, "messages": [] }}